.\" -*- nroff -*-
.\" sbmixer.man - Copyright (C) 1995 Pat Thoyts <pat@calubc.caladan.co.uk>
.\"
.\" $Id: sbmixer.man,v 0.3 1995/05/15 21:02:56 pat Exp $
.\"
.TH SBMIXER 1 LOCAL "25 April 1995"

.SH NAME
sbmixer - sets the volume for devices on the sound card

.SH SYNOPSIS
.B sbmixer
[
.I -h?uGVDS
] [\fB-option\fP \fILEVEL\fP] [\fB--option\fP \fILEFT,RIGHT\fP]

.SH DESCRIPTION
This program attempts to emulate the DOS Sound Blaster 16 mixer program
.I SB16SET.EXE
The DOS program accepts values in the range 0 to 255 for both channels
of each stereo device like this:
   sb16set /m:180 /line:200,220 /voc:220 /agc:on
 In this example, both channels of the master volume control are set
to 180 each, and both the voc channels get set to 220, while the left
line-in channel is going to be 200 and the right channel 220. AGC is
for gain control, and the program accepts /ipgain:n,n and /opgain:n,n
as well as the other devices.
   This program sets the mixer devices to values between 0 and
100. Devices which are not supported by the sound card get quietly
ignored, and options which the program doesn't understand are ignored
too (but noisily). If any of the values entered are greater than 100
or if the \fI-L\fP or \fI--large\fP option is included then the
program assumes all the values are using the 0-255 range and converts
them accordigly for the linux sound driver.
   \fBsbmixer\fP will accept three styles of command line which can be
mixed pretty much at will. These are all equivalent:
    mixer -m80 -l75 -c75
    mixer -m80,80 -l 75,75 -c:75,75
    mixer --vol:80 --line 75,75 -c75,75
    mixer --vol 80 /line 75,75 /cd:75,75
    mixer /m:220 /line:220,220 /cd:75,75
   However, in the last example the CD value will NOT be 75 as the
remainder of the command line uses values in the larger range
0-255. As a result, the CD will actually get set to 30,30. The final
example is the style used by the DOS program from Creative Labs.
   By default, this program is quiet. When setting new values there is
no output to the user unless the \fI--verbose\fP or \fI-S\fP options
are used. If no command line arguments are used, or verbose mode is
set then a list of devices and settings is printed to stdout.
.SH OPTIONS
.TP
.I -h -? -u --help
Print out some basic usage information.
.TP
.I -D --debug
The -D option sets debugging mode. This produces some output to
stderr, mostly to do with the support for different mixer devices
found on the card.
.TP
.I -S --verbose
The -S option sets verbose mode. After the volume levels have been
changed the new settings will be printed to stdout. The default
setting is to be silent for use in scripts.
.TP
.I -G --gnu
Print out a brief GNU Public Licence information statement. You should
see the accompanying file
.I Copying
for more information about this.
.TP
.I -V --version
Print out the version information before any other output.
.TP
.I -L --large
Assume all values use the range 0-255 instead of the default
0-100. This is the DOS compatability mode. The values are converted to
the linux 0-100 range. (by dividing by 2.5)
.TP
.I --vol 80,80 etc.
The remaining options recognised set the mixer device volume
levels. If the stereo channels are to be set to different values the
two levels should be separated by a comma. The following devices are
recognised:
 \fI-m --vol\fP     master volume setting
 \fI-b --bass\fP    bass level
 \fI-t --treble\fP  treble setting
 \fI-l --line\fP    line-in levels
 \fI-c --cd\fP      CD-ROM levels
 \fI-v --voc\fP     VOC or audio device level
 \fI-i --midi\fP    MIDI levels
 \fI-C --mic\fP     microphone level
 \fI-r --rec\fP     recording device levels
 \fI-x --rmix\fP    recording mixer (not SB16)
 \fI-2 --midi2\fP   second MIDI device (not SB16)

.SH BUGS
 The SB16 has settings for input and output gain control. Looking at
the soundcard.h file it seems that SOUND_MIXER_ENHANCE should cover
this but I get nothing back when I read this device. Also my
SOUND_MIXER_CAPS mask is 0x00, so I think this means the extended
functions of the card are not being supported. As a result, this
program has no support for the gain and agc settings found in the dos
program. If these arguments are found, they'll be ignored.

.SH SEE ALSO
\fBxmix\fP(1), \fBaumix\fP(1), \fBxvmixer\fP(1)

.SH AUTHOR
Pat Thoyts <pat@calubc.caladan.co.uk>

This program is Copyright (C) 1995 Pat Thoyts, but subject to the
\fBGNU Public Licence\fP. See \fBsbmixer\fP \fI-G\fP for the program
notice, and the accompanying file \fBCopying\fP for more information
about the \fBGNU Public Licence\fP.
